gnutls_x509_privkey_export(3)

NAME
gnutls_x509_privkey_export - This function will export the private key

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_export(gnutls_x509_privkey_t key, gnutls_x509_crt_fmt_t format, void * output_data, size_t * output_data_size);

ARGUMENTS

gnutls_x509_privkey_t key
    Holds the key

gnutls_x509_crt_fmt_t format
    the format of output params. One of PEM or DER.

void * output_data
    will contain a private key PEM or DER encoded

size_t * output_data_size
    holds the size of output_data (and will be replaced by the actual size of parameters)

DESCRIPTION
This function will export the private key to a PKCS1 structure for RSA keys, or an integer sequence for DSA keys. The DSA keys are in the same format with the parameters used by openssl. If the buffer provided is not long enough to hold the output, then *output_data_size is updated and GNUTLS_E_SHORT_MEMORY_BUFFER will be returned. If the structure is PEM encoded, it will have a header of "BEGIN RSA PRIVATE KEY".

RETURN VALUE
In case of failure a negative value will be returned, and 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.